org.eclipse.actf.visualization.blind

## Class BlindVisualizerBase

- java.lang.Object
- - org.eclipse.actf.visualization.blind.BlindVisualizerBase

All Implemented Interfaces:
  IBlindVisualizer

    public abstract class BlindVisualizerBase
    extends Object
    implements IBlindVisualizer

Abstract implementation of `IBlindVisualizer`. Contributors need to implement `visualize` method to suit to their purpose.

### Field Summary

### Fields inherited from interface org.eclipse.actf.visualization.blind.IBlindVisualizer

`ERROR, OK`

### Constructor Summary

Constructors
Constructor and Description
`BlindVisualizerBase()`

### Method Summary

Methods
`IEvaluationResult` `getEvaluationResult()` Get accessibility evaluation result.
`String` `getMaxReachingTime()` Get maximum reaching time within the target content.
`PageData` `getPageData()` Get statistics data of the target page.
`Document` `getResultDocument()` Get visualization result `Document`.
`File` `getResultFile()` Get visualization result `File`.
`boolean` `setModelService(IModelService targetModel)` Set target `IModelService` for visualization
`void` `setVisualizationView(IVisualizationView targetView)` Set target `IVisualizationView` to show visualization result

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.actf.visualization.blind.IBlindVisualizer

`visualize`

### Constructor Detail

#### BlindVisualizerBase

    public BlindVisualizerBase()

### Method Detail

#### setModelService

    public boolean setModelService(IModelService targetModel)

Description copied from interface: `IBlindVisualizer`
Set target `IModelService` for visualization

Specified by:
  `setModelService` in interface `IBlindVisualizer`
Parameters:
  `targetModel` - target `IModelService`
Returns:
  true if the specified target is supported by the implementation

#### setVisualizationView

    public void setVisualizationView(IVisualizationView targetView)

Description copied from interface: `IBlindVisualizer`
Set target `IVisualizationView` to show visualization result

Specified by:
  `setVisualizationView` in interface `IBlindVisualizer`
Parameters:
  `targetView` - target `IVisualizationView` to show visualization result.

#### getMaxReachingTime

    public String getMaxReachingTime()

Description copied from interface: `IBlindVisualizer`
Get maximum reaching time within the target content.

Specified by:
  `getMaxReachingTime` in interface `IBlindVisualizer`
Returns:
  maximum reaching time (second) within the target content.

#### getEvaluationResult

    public IEvaluationResult getEvaluationResult()

Description copied from interface: `IBlindVisualizer`
Get accessibility evaluation result.

Specified by:
  `getEvaluationResult` in interface `IBlindVisualizer`
Returns:
  accessibility evaluation result

#### getPageData

    public PageData getPageData()

Description copied from interface: `IBlindVisualizer`
Get statistics data of the target page.

Specified by:
  `getPageData` in interface `IBlindVisualizer`
Returns:
  statistics data of the target page.
See Also:
  `PageData`

#### getResultDocument

    public Document getResultDocument()

Description copied from interface: `IBlindVisualizer`
Get visualization result `Document`.

Specified by:
  `getResultDocument` in interface `IBlindVisualizer`
Returns:
  visualization result Document

#### getResultFile

    public File getResultFile()

Description copied from interface: `IBlindVisualizer`
Get visualization result `File`.

Specified by:
  `getResultFile` in interface `IBlindVisualizer`
Returns:
  visualization result File